
Redmine - Patch #26323

Remove ActiveRecord workaround (fixed in Rails 5)

2017-07-03 11:02 - Дмитрий Минжёнков

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.0.0   

Description

Associated revisions

Revision 16869 - 2017-07-23 18:13 - Jean-Philippe Lang

Remove ActiveRecord workaround (#26323).

History

#1 - 2017-07-03 11:04 - Дмитрий Минжёнков

Environment:

  Redmine version                3.3.3.stable

  Ruby version                   2.3.1-p112 (2016-04-26) [x86_64-linux]

  Rails version                  4.2.7.1

  Environment                    development

  Database adapter               PostgreSQL

#2 - 2017-07-03 13:22 - Дмитрий Минжёнков

- File outdated_code.diff added

svn patch

#3 - 2017-07-03 15:38 - Mischa The Evil

- Subject changed from Outdated Rails 3 code to Remove outdated Rails 3 code

- Target version set to 4.1.0

#4 - 2017-07-07 00:07 - Jean-Philippe Lang

- Target version changed from 4.1.0 to 4.0.0

It's fixed in Rails 5.0 only:

https://github.com/rails/rails/issues/18717

#5 - 2017-07-23 18:14 - Jean-Philippe Lang

- Subject changed from Remove outdated Rails 3 code to Remove ActiveRecord workaround (fixed in Rails 5)

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Files

0001-107532.patch 1.68 KB 2017-07-03 Дмитрий Минжёнков

outdated_code.diff 677 Bytes 2017-07-03 Дмитрий Минжёнков
